| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | POST |
https://your-system-name.thulium.com/api/chat_conversations/:id/message
|
id
wymagany |
Identyfikator konwersacji (zwrócony przez start).
Przykładowa wartość: 6ed7c941-2c8a-411e-95d2-338a9f64800a
|
|
text
opcjonalny |
Wiadomość do wysłania.
Przykładowa wartość: Hello, world!
|
|
external_chatbot_id
opcjonalny |
Identyfikator zewnętrznego chat bota
Przykładowa wartość: a779146f-4df3-49c1-826a-7caa6a5e653a
|
| POST | https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/message |
| Dane | {"text":"Hello, world!"} |
<!-- pusty -->
<?php $data = '{"text":"Hello, world!"}'; $request = curl_init('https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/message'); curl_setopt($request, CURLOPT_HTTPHEADER, array( 'Content-Type: application/json; charset=utf-8', 'Content-Length: ' . mb_strlen($data) )); curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass'); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST'); curl_setopt($request, CURLOPT_POSTFIELDS, $data); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/message", "{\"text\":\"Hello, world!\"}"); System.out.println(response); } }
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{"text":"Hello, world!"}' "https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/message"
echo '{"text":"Hello, world!"}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/message